1bbd583eb7e2a6d83412ff2535715405ff427004
[platform/upstream/python-gobject.git] / gi / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 am__make_dryrun = \
20   { \
21     am__dry=no; \
22     case $$MAKEFLAGS in \
23       *\\[\ \   ]*) \
24         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
25           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
26       *) \
27         for am__flg in $$MAKEFLAGS; do \
28           case $$am__flg in \
29             *=*|--*) ;; \
30             *n*) am__dry=yes; break;; \
31           esac; \
32         done;; \
33     esac; \
34     test $$am__dry = yes; \
35   }
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 @OS_WIN32_TRUE@am__append_1 = \
55 @OS_WIN32_TRUE@ -no-undefined \
56 @OS_WIN32_TRUE@ -shrext ".pyd"
57
58 @ENABLE_CAIRO_TRUE@am__append_2 = _gi_cairo.la
59 subdir = gi
60 DIST_COMMON = $(pygi_PYTHON) $(srcdir)/Makefile.am \
61         $(srcdir)/Makefile.in
62 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
63 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
64         $(top_srcdir)/m4/jhflags.m4 $(top_srcdir)/m4/libtool.m4 \
65         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
66         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
67         $(top_srcdir)/m4/python.m4 $(top_srcdir)/configure.ac
68 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
69         $(ACLOCAL_M4)
70 mkinstalldirs = $(install_sh) -d
71 CONFIG_HEADER = $(top_builddir)/config.h
72 CONFIG_CLEAN_FILES =
73 CONFIG_CLEAN_VPATH_FILES =
74 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
75 am__vpath_adj = case $$p in \
76     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
77     *) f=$$p;; \
78   esac;
79 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
80 am__install_max = 40
81 am__nobase_strip_setup = \
82   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
83 am__nobase_strip = \
84   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
85 am__nobase_list = $(am__nobase_strip_setup); \
86   for p in $$list; do echo "$$p $$p"; done | \
87   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
88   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
89     if (++n[$$2] == $(am__install_max)) \
90       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
91     END { for (dir in files) print dir, files[dir] }'
92 am__base_list = \
93   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
94   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
95 am__uninstall_files_from_dir = { \
96   test -z "$$files" \
97     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
98     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
99          $(am__cd) "$$dir" && rm -f $$files; }; \
100   }
101 am__installdirs = "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"
102 LTLIBRARIES = $(pygi_LTLIBRARIES)
103 am__DEPENDENCIES_1 =
104 @OS_WIN32_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
105 _gi_la_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1) \
106         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
107 am__gi_la_OBJECTS = _gi_la-pygi-repository.lo _gi_la-pygi-info.lo \
108         _gi_la-pygi-foreign.lo _gi_la-pygi-foreign-gvariant.lo \
109         _gi_la-pygi-struct.lo _gi_la-pygi-argument.lo \
110         _gi_la-pygi-type.lo _gi_la-pygi-boxed.lo \
111         _gi_la-pygi-closure.lo _gi_la-pygi-ccallback.lo \
112         _gi_la-pygi-callbacks.lo _gi_la-pygi-property.lo \
113         _gi_la-pygi-signal-closure.lo _gi_la-gimodule.lo \
114         _gi_la-pygi-invoke.lo _gi_la-pygi-cache.lo \
115         _gi_la-pygi-marshal-from-py.lo _gi_la-pygi-marshal-to-py.lo \
116         _gi_la-pygi-marshal-cleanup.lo
117 _gi_la_OBJECTS = $(am__gi_la_OBJECTS)
118 AM_V_lt = $(am__v_lt_@AM_V@)
119 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
120 am__v_lt_0 = --silent
121 _gi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
122         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_la_CFLAGS) $(CFLAGS) \
123         $(_gi_la_LDFLAGS) $(LDFLAGS) -o $@
124 _gi_cairo_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
125         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
126 am__gi_cairo_la_OBJECTS = _gi_cairo_la-pygi-foreign-cairo.lo
127 _gi_cairo_la_OBJECTS = $(am__gi_cairo_la_OBJECTS)
128 _gi_cairo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
129         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_cairo_la_CFLAGS) \
130         $(CFLAGS) $(_gi_cairo_la_LDFLAGS) $(LDFLAGS) -o $@
131 @ENABLE_CAIRO_TRUE@am__gi_cairo_la_rpath = -rpath $(pygidir)
132 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
133 depcomp = $(SHELL) $(top_srcdir)/depcomp
134 am__depfiles_maybe = depfiles
135 am__mv = mv -f
136 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
137         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
138 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
139         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
140         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
141         $(AM_CFLAGS) $(CFLAGS)
142 AM_V_CC = $(am__v_CC_@AM_V@)
143 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
144 am__v_CC_0 = @echo "  CC    " $@;
145 AM_V_at = $(am__v_at_@AM_V@)
146 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
147 am__v_at_0 = @
148 CCLD = $(CC)
149 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
150         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
151         $(AM_LDFLAGS) $(LDFLAGS) -o $@
152 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
153 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
154 am__v_CCLD_0 = @echo "  CCLD  " $@;
155 AM_V_GEN = $(am__v_GEN_@AM_V@)
156 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
157 am__v_GEN_0 = @echo "  GEN   " $@;
158 SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
159 DIST_SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
160 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
161         html-recursive info-recursive install-data-recursive \
162         install-dvi-recursive install-exec-recursive \
163         install-html-recursive install-info-recursive \
164         install-pdf-recursive install-ps-recursive install-recursive \
165         installcheck-recursive installdirs-recursive pdf-recursive \
166         ps-recursive uninstall-recursive
167 am__can_run_installinfo = \
168   case $$AM_UPDATE_INFO_DIR in \
169     n|no|NO) false;; \
170     *) (install-info --version) >/dev/null 2>&1;; \
171   esac
172 am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
173 py_compile = $(top_srcdir)/py-compile
174 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
175   distclean-recursive maintainer-clean-recursive
176 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
177         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
178         distdir
179 ETAGS = etags
180 CTAGS = ctags
181 DIST_SUBDIRS = $(SUBDIRS)
182 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
183 am__relativize = \
184   dir0=`pwd`; \
185   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
186   sed_rest='s,^[^/]*/*,,'; \
187   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
188   sed_butlast='s,/*[^/]*$$,,'; \
189   while test -n "$$dir1"; do \
190     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
191     if test "$$first" != "."; then \
192       if test "$$first" = ".."; then \
193         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
194         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
195       else \
196         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
197         if test "$$first2" = "$$first"; then \
198           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
199         else \
200           dir2="../$$dir2"; \
201         fi; \
202         dir0="$$dir0"/"$$first"; \
203       fi; \
204     fi; \
205     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
206   done; \
207   reldir="$$dir2"
208 ACLOCAL = @ACLOCAL@
209 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
210 AMTAR = @AMTAR@
211 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
212 AR = @AR@
213 AS = @AS@
214 AUTOCONF = @AUTOCONF@
215 AUTOHEADER = @AUTOHEADER@
216 AUTOMAKE = @AUTOMAKE@
217 AWK = @AWK@
218 CAIRO_CFLAGS = @CAIRO_CFLAGS@
219 CAIRO_LIBS = @CAIRO_LIBS@
220 CC = @CC@
221 CCDEPMODE = @CCDEPMODE@
222 CFLAGS = @CFLAGS@
223 CPP = @CPP@
224 CPPFLAGS = @CPPFLAGS@
225 CYGPATH_W = @CYGPATH_W@
226 DATADIR = @DATADIR@
227 DEFS = @DEFS@
228 DEPDIR = @DEPDIR@
229 DLLTOOL = @DLLTOOL@
230 DSYMUTIL = @DSYMUTIL@
231 DUMPBIN = @DUMPBIN@
232 ECHO_C = @ECHO_C@
233 ECHO_N = @ECHO_N@
234 ECHO_T = @ECHO_T@
235 EGREP = @EGREP@
236 EXEEXT = @EXEEXT@
237 FFI_CFLAGS = @FFI_CFLAGS@
238 FFI_LIBS = @FFI_LIBS@
239 FGREP = @FGREP@
240 GIO_CFLAGS = @GIO_CFLAGS@
241 GIO_LIBS = @GIO_LIBS@
242 GI_CFLAGS = @GI_CFLAGS@
243 GI_DATADIR = @GI_DATADIR@
244 GI_LIBS = @GI_LIBS@
245 GLIB_CFLAGS = @GLIB_CFLAGS@
246 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
247 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
248 GLIB_LIBS = @GLIB_LIBS@
249 GLIB_MKENUMS = @GLIB_MKENUMS@
250 GOBJECT_QUERY = @GOBJECT_QUERY@
251 GREP = @GREP@
252 INSTALL = @INSTALL@
253 INSTALL_DATA = @INSTALL_DATA@
254 INSTALL_PROGRAM = @INSTALL_PROGRAM@
255 INSTALL_SCRIPT = @INSTALL_SCRIPT@
256 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
257 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
258 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
259 LD = @LD@
260 LDFLAGS = @LDFLAGS@
261 LIBFFI_PC = @LIBFFI_PC@
262 LIBOBJS = @LIBOBJS@
263 LIBS = @LIBS@
264 LIBTOOL = @LIBTOOL@
265 LIPO = @LIPO@
266 LN_S = @LN_S@
267 LTLIBOBJS = @LTLIBOBJS@
268 MAINT = @MAINT@
269 MAKEINFO = @MAKEINFO@
270 MANIFEST_TOOL = @MANIFEST_TOOL@
271 MKDIR_P = @MKDIR_P@
272 NM = @NM@
273 NMEDIT = @NMEDIT@
274 OBJDUMP = @OBJDUMP@
275 OBJEXT = @OBJEXT@
276 OTOOL = @OTOOL@
277 OTOOL64 = @OTOOL64@
278 PACKAGE = @PACKAGE@
279 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
280 PACKAGE_NAME = @PACKAGE_NAME@
281 PACKAGE_STRING = @PACKAGE_STRING@
282 PACKAGE_TARNAME = @PACKAGE_TARNAME@
283 PACKAGE_URL = @PACKAGE_URL@
284 PACKAGE_VERSION = @PACKAGE_VERSION@
285 PATH_SEPARATOR = @PATH_SEPARATOR@
286 PKG_CONFIG = @PKG_CONFIG@
287 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
288 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
289 PLATFORM = @PLATFORM@
290 PYCAIRO_CFLAGS = @PYCAIRO_CFLAGS@
291 PYCAIRO_LIBS = @PYCAIRO_LIBS@
292 PYGOBJECT_MAJOR_VERSION = @PYGOBJECT_MAJOR_VERSION@
293 PYGOBJECT_MICRO_VERSION = @PYGOBJECT_MICRO_VERSION@
294 PYGOBJECT_MINOR_VERSION = @PYGOBJECT_MINOR_VERSION@
295 PYTHON = @PYTHON@
296 PYTHON_BASENAME = @PYTHON_BASENAME@
297 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
298 PYTHON_INCLUDES = @PYTHON_INCLUDES@
299 PYTHON_LIBS = @PYTHON_LIBS@
300 PYTHON_LIB_LOC = @PYTHON_LIB_LOC@
301 PYTHON_PLATFORM = @PYTHON_PLATFORM@
302 PYTHON_PREFIX = @PYTHON_PREFIX@
303 PYTHON_VERSION = @PYTHON_VERSION@
304 RANLIB = @RANLIB@
305 SED = @SED@
306 SET_MAKE = @SET_MAKE@
307 SHELL = @SHELL@
308 STRIP = @STRIP@
309 THREADING_CFLAGS = @THREADING_CFLAGS@
310 VERSION = @VERSION@
311 abs_builddir = @abs_builddir@
312 abs_srcdir = @abs_srcdir@
313 abs_top_builddir = @abs_top_builddir@
314 abs_top_srcdir = @abs_top_srcdir@
315 ac_ct_AR = @ac_ct_AR@
316 ac_ct_CC = @ac_ct_CC@
317 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
318 am__include = @am__include@
319 am__leading_dot = @am__leading_dot@
320 am__quote = @am__quote@
321 am__tar = @am__tar@
322 am__untar = @am__untar@
323 bindir = @bindir@
324 build = @build@
325 build_alias = @build_alias@
326 build_cpu = @build_cpu@
327 build_os = @build_os@
328 build_vendor = @build_vendor@
329 builddir = @builddir@
330 datadir = @datadir@
331 datarootdir = @datarootdir@
332 docdir = @docdir@
333 dvidir = @dvidir@
334 exec_prefix = @exec_prefix@
335 host = @host@
336 host_alias = @host_alias@
337 host_cpu = @host_cpu@
338 host_os = @host_os@
339 host_vendor = @host_vendor@
340 htmldir = @htmldir@
341 includedir = @includedir@
342 infodir = @infodir@
343 install_sh = @install_sh@
344 libdir = @libdir@
345 libexecdir = @libexecdir@
346 localedir = @localedir@
347 localstatedir = @localstatedir@
348 mandir = @mandir@
349 mkdir_p = @mkdir_p@
350 oldincludedir = @oldincludedir@
351 pdfdir = @pdfdir@
352 pkgpyexecdir = @pkgpyexecdir@
353 pkgpythondir = @pkgpythondir@
354 prefix = @prefix@
355 program_transform_name = @program_transform_name@
356 psdir = @psdir@
357 pyexecdir = @pyexecdir@
358 pythondir = @pythondir@
359 sbindir = @sbindir@
360 sharedstatedir = @sharedstatedir@
361 srcdir = @srcdir@
362 sysconfdir = @sysconfdir@
363 target_alias = @target_alias@
364 top_build_prefix = @top_build_prefix@
365 top_builddir = @top_builddir@
366 top_srcdir = @top_srcdir@
367 SUBDIRS = \
368         repository \
369         overrides \
370         _glib \
371         _gobject
372
373 extension_cppflags = \
374         $(PYTHON_INCLUDES) \
375         -DPY_SSIZE_T_CLEAN
376
377 extension_ldflags = -module -avoid-version $(am__append_1)
378
379 # Windows requires Python modules to be explicitly linked to libpython.
380 # Extension modules are shared libaries (.dll), but need to be
381 # called .pyd for Python to load it as an extension module.
382 @OS_WIN32_TRUE@extension_libadd = \
383 @OS_WIN32_TRUE@ $(PYTHON_LIBS)
384
385 pygidir = $(pyexecdir)/gi
386 pygi_PYTHON = \
387         __init__.py \
388         types.py \
389         module.py \
390         importer.py \
391         pygtkcompat.py
392
393 pygi_LTLIBRARIES = _gi.la $(am__append_2)
394 _gi_la_SOURCES = \
395         pygi-repository.c \
396         pygi-repository.h \
397         pygi-info.c \
398         pygi-info.h \
399         pygi-foreign.c \
400         pygi-foreign.h \
401         pygi-foreign-gvariant.c \
402         pygi-foreign-gvariant.h \
403         pygi-struct.c \
404         pygi-struct.h \
405         pygi-argument.c \
406         pygi-argument.h \
407         pygi-type.c \
408         pygi-type.h \
409         pygi-boxed.c \
410         pygi-boxed.h \
411         pygi-closure.c \
412         pygi-closure.h \
413         pygi-ccallback.c \
414         pygi-ccallback.h \
415         pygi-callbacks.c \
416         pygi-callbacks.h \
417         pygi.h \
418         pygi-private.h \
419         pygi-property.c \
420         pygi-property.h \
421         pygi-signal-closure.c \
422         pygi-signal-closure.h \
423         pygobject-external.h \
424         gimodule.c \
425         pygi-invoke.c \
426         pygi-invoke.h \
427         pygi-invoke-state-struct.h \
428         pygi-cache.h \
429         pygi-cache.c \
430         pygi-marshal-from-py.c \
431         pygi-marshal-from-py.h \
432         pygi-marshal-to-py.c \
433         pygi-marshal-to-py.h \
434         pygi-marshal-cleanup.c \
435         pygi-marshal-cleanup.h
436
437 _gi_la_CFLAGS = \
438         $(GI_CFLAGS)
439
440 _gi_la_CPPFLAGS = \
441         $(extension_cppflags) \
442         -I$(top_srcdir)/gi/_glib \
443         -I$(top_srcdir)/gi/_gobject
444
445 _gi_la_LIBADD = \
446         $(extension_libadd) \
447         $(GI_LIBS) \
448         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
449
450 _gi_la_LDFLAGS = \
451         $(extension_ldflags) \
452         -export-symbols-regex "init_gi|PyInit__gi"
453
454 _gi_cairo_la_SOURCES = \
455         pygi-foreign-cairo.c
456
457 _gi_cairo_la_CFLAGS = \
458         $(GI_CFLAGS) \
459         $(PYCAIRO_CFLAGS)
460
461 _gi_cairo_la_CPPFLAGS = \
462         $(extension_cppflags) \
463         -I$(top_srcdir)/gi/_glib \
464         -I$(top_srcdir)/gi/_gobject
465
466 _gi_cairo_la_LIBADD = \
467         $(extension_libadd) \
468         $(GI_LIBS) \
469         $(PYCAIRO_LIBS)
470
471 _gi_cairo_la_LDFLAGS = \
472         $(extension_ldflags) \
473         -export-symbols-regex "init_gi_cairo|PyInit__gi_cairo"
474
475 all: all-recursive
476
477 .SUFFIXES:
478 .SUFFIXES: .c .la .lo .o .obj .so
479 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
480         @for dep in $?; do \
481           case '$(am__configure_deps)' in \
482             *$$dep*) \
483               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
484                 && { if test -f $@; then exit 0; else break; fi; }; \
485               exit 1;; \
486           esac; \
487         done; \
488         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gi/Makefile'; \
489         $(am__cd) $(top_srcdir) && \
490           $(AUTOMAKE) --foreign gi/Makefile
491 .PRECIOUS: Makefile
492 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
493         @case '$?' in \
494           *config.status*) \
495             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
496           *) \
497             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
498             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
499         esac;
500
501 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
502         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
503
504 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
505         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
506 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
507         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
508 $(am__aclocal_m4_deps):
509 install-pygiLTLIBRARIES: $(pygi_LTLIBRARIES)
510         @$(NORMAL_INSTALL)
511         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
512         list2=; for p in $$list; do \
513           if test -f $$p; then \
514             list2="$$list2 $$p"; \
515           else :; fi; \
516         done; \
517         test -z "$$list2" || { \
518           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
519           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
520           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pygidir)'"; \
521           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pygidir)"; \
522         }
523
524 uninstall-pygiLTLIBRARIES:
525         @$(NORMAL_UNINSTALL)
526         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
527         for p in $$list; do \
528           $(am__strip_dir) \
529           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pygidir)/$$f'"; \
530           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pygidir)/$$f"; \
531         done
532
533 clean-pygiLTLIBRARIES:
534         -test -z "$(pygi_LTLIBRARIES)" || rm -f $(pygi_LTLIBRARIES)
535         @list='$(pygi_LTLIBRARIES)'; for p in $$list; do \
536           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
537           test "$$dir" != "$$p" || dir=.; \
538           echo "rm -f \"$${dir}/so_locations\""; \
539           rm -f "$${dir}/so_locations"; \
540         done
541 _gi.la: $(_gi_la_OBJECTS) $(_gi_la_DEPENDENCIES) $(EXTRA__gi_la_DEPENDENCIES) 
542         $(AM_V_CCLD)$(_gi_la_LINK) -rpath $(pygidir) $(_gi_la_OBJECTS) $(_gi_la_LIBADD) $(LIBS)
543 _gi_cairo.la: $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_DEPENDENCIES) $(EXTRA__gi_cairo_la_DEPENDENCIES) 
544         $(AM_V_CCLD)$(_gi_cairo_la_LINK) $(am__gi_cairo_la_rpath) $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_LIBADD) $(LIBS)
545
546 mostlyclean-compile:
547         -rm -f *.$(OBJEXT)
548
549 distclean-compile:
550         -rm -f *.tab.c
551
552 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo@am__quote@
553 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-gimodule.Plo@am__quote@
554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-argument.Plo@am__quote@
555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-boxed.Plo@am__quote@
556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-cache.Plo@am__quote@
557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-callbacks.Plo@am__quote@
558 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-ccallback.Plo@am__quote@
559 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-closure.Plo@am__quote@
560 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign-gvariant.Plo@am__quote@
561 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign.Plo@am__quote@
562 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-info.Plo@am__quote@
563 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-invoke.Plo@am__quote@
564 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo@am__quote@
565 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo@am__quote@
566 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo@am__quote@
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-property.Plo@am__quote@
568 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-repository.Plo@am__quote@
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-signal-closure.Plo@am__quote@
570 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-struct.Plo@am__quote@
571 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-type.Plo@am__quote@
572
573 .c.o:
574 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
575 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
577 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
578 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
579
580 .c.obj:
581 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
582 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
584 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
585 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
586
587 .c.lo:
588 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
589 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
591 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
592 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
593
594 _gi_la-pygi-repository.lo: pygi-repository.c
595 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-repository.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-repository.Tpo -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
596 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-repository.Tpo $(DEPDIR)/_gi_la-pygi-repository.Plo
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-repository.c' object='_gi_la-pygi-repository.lo' libtool=yes @AMDEPBACKSLASH@
598 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
599 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
600
601 _gi_la-pygi-info.lo: pygi-info.c
602 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-info.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-info.Tpo -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
603 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-info.Tpo $(DEPDIR)/_gi_la-pygi-info.Plo
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-info.c' object='_gi_la-pygi-info.lo' libtool=yes @AMDEPBACKSLASH@
605 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
606 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
607
608 _gi_la-pygi-foreign.lo: pygi-foreign.c
609 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign.Tpo -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
610 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign.Tpo $(DEPDIR)/_gi_la-pygi-foreign.Plo
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign.c' object='_gi_la-pygi-foreign.lo' libtool=yes @AMDEPBACKSLASH@
612 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
613 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
614
615 _gi_la-pygi-foreign-gvariant.lo: pygi-foreign-gvariant.c
616 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign-gvariant.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Tpo -c -o _gi_la-pygi-foreign-gvariant.lo `test -f 'pygi-foreign-gvariant.c' || echo '$(srcdir)/'`pygi-foreign-gvariant.c
617 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Tpo $(DEPDIR)/_gi_la-pygi-foreign-gvariant.Plo
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-gvariant.c' object='_gi_la-pygi-foreign-gvariant.lo' libtool=yes @AMDEPBACKSLASH@
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
620 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign-gvariant.lo `test -f 'pygi-foreign-gvariant.c' || echo '$(srcdir)/'`pygi-foreign-gvariant.c
621
622 _gi_la-pygi-struct.lo: pygi-struct.c
623 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-struct.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-struct.Tpo -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
624 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-struct.Tpo $(DEPDIR)/_gi_la-pygi-struct.Plo
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-struct.c' object='_gi_la-pygi-struct.lo' libtool=yes @AMDEPBACKSLASH@
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
627 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
628
629 _gi_la-pygi-argument.lo: pygi-argument.c
630 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-argument.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-argument.Tpo -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
631 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-argument.Tpo $(DEPDIR)/_gi_la-pygi-argument.Plo
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-argument.c' object='_gi_la-pygi-argument.lo' libtool=yes @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
634 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
635
636 _gi_la-pygi-type.lo: pygi-type.c
637 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-type.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-type.Tpo -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
638 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-type.Tpo $(DEPDIR)/_gi_la-pygi-type.Plo
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-type.c' object='_gi_la-pygi-type.lo' libtool=yes @AMDEPBACKSLASH@
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
641 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
642
643 _gi_la-pygi-boxed.lo: pygi-boxed.c
644 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-boxed.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-boxed.Tpo -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
645 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-boxed.Tpo $(DEPDIR)/_gi_la-pygi-boxed.Plo
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-boxed.c' object='_gi_la-pygi-boxed.lo' libtool=yes @AMDEPBACKSLASH@
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
649
650 _gi_la-pygi-closure.lo: pygi-closure.c
651 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-closure.Tpo -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
652 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-closure.Tpo $(DEPDIR)/_gi_la-pygi-closure.Plo
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-closure.c' object='_gi_la-pygi-closure.lo' libtool=yes @AMDEPBACKSLASH@
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
656
657 _gi_la-pygi-ccallback.lo: pygi-ccallback.c
658 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-ccallback.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-ccallback.Tpo -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
659 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-ccallback.Tpo $(DEPDIR)/_gi_la-pygi-ccallback.Plo
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-ccallback.c' object='_gi_la-pygi-ccallback.lo' libtool=yes @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
663
664 _gi_la-pygi-callbacks.lo: pygi-callbacks.c
665 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-callbacks.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-callbacks.Tpo -c -o _gi_la-pygi-callbacks.lo `test -f 'pygi-callbacks.c' || echo '$(srcdir)/'`pygi-callbacks.c
666 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-callbacks.Tpo $(DEPDIR)/_gi_la-pygi-callbacks.Plo
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-callbacks.c' object='_gi_la-pygi-callbacks.lo' libtool=yes @AMDEPBACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
669 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-callbacks.lo `test -f 'pygi-callbacks.c' || echo '$(srcdir)/'`pygi-callbacks.c
670
671 _gi_la-pygi-property.lo: pygi-property.c
672 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-property.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-property.Tpo -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
673 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-property.Tpo $(DEPDIR)/_gi_la-pygi-property.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-property.c' object='_gi_la-pygi-property.lo' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
677
678 _gi_la-pygi-signal-closure.lo: pygi-signal-closure.c
679 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-signal-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
680 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo $(DEPDIR)/_gi_la-pygi-signal-closure.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-signal-closure.c' object='_gi_la-pygi-signal-closure.lo' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
684
685 _gi_la-gimodule.lo: gimodule.c
686 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-gimodule.lo -MD -MP -MF $(DEPDIR)/_gi_la-gimodule.Tpo -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
687 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-gimodule.Tpo $(DEPDIR)/_gi_la-gimodule.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gimodule.c' object='_gi_la-gimodule.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
691
692 _gi_la-pygi-invoke.lo: pygi-invoke.c
693 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-invoke.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-invoke.Tpo -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
694 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-invoke.Tpo $(DEPDIR)/_gi_la-pygi-invoke.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-invoke.c' object='_gi_la-pygi-invoke.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
698
699 _gi_la-pygi-cache.lo: pygi-cache.c
700 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-cache.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-cache.Tpo -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
701 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-cache.Tpo $(DEPDIR)/_gi_la-pygi-cache.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-cache.c' object='_gi_la-pygi-cache.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
705
706 _gi_la-pygi-marshal-from-py.lo: pygi-marshal-from-py.c
707 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-from-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
708 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-from-py.c' object='_gi_la-pygi-marshal-from-py.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
712
713 _gi_la-pygi-marshal-to-py.lo: pygi-marshal-to-py.c
714 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-to-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
715 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-to-py.c' object='_gi_la-pygi-marshal-to-py.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
719
720 _gi_la-pygi-marshal-cleanup.lo: pygi-marshal-cleanup.c
721 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-cleanup.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
722 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-cleanup.c' object='_gi_la-pygi-marshal-cleanup.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
726
727 _gi_cairo_la-pygi-foreign-cairo.lo: pygi-foreign-cairo.c
728 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -MT _gi_cairo_la-pygi-foreign-cairo.lo -MD -MP -MF $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
729 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-cairo.c' object='_gi_cairo_la-pygi-foreign-cairo.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
733
734 mostlyclean-libtool:
735         -rm -f *.lo
736
737 clean-libtool:
738         -rm -rf .libs _libs
739 install-pygiPYTHON: $(pygi_PYTHON)
740         @$(NORMAL_INSTALL)
741         @list='$(pygi_PYTHON)'; dlist=; list2=; test -n "$(pygidir)" || list=; \
742         if test -n "$$list"; then \
743           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
744           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
745         fi; \
746         for p in $$list; do \
747           if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
748           if test -f $$b$$p; then \
749             $(am__strip_dir) \
750             dlist="$$dlist $$f"; \
751             list2="$$list2 $$b$$p"; \
752           else :; fi; \
753         done; \
754         for file in $$list2; do echo $$file; done | $(am__base_list) | \
755         while read files; do \
756           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygidir)'"; \
757           $(INSTALL_DATA) $$files "$(DESTDIR)$(pygidir)" || exit $$?; \
758         done || exit $$?; \
759         if test -n "$$dlist"; then \
760           if test -z "$(DESTDIR)"; then \
761             $(am__py_compile) --basedir "$(pygidir)" $$dlist; \
762           else \
763             $(am__py_compile) --destdir "$(DESTDIR)" \
764                               --basedir "$(pygidir)" $$dlist; \
765           fi; \
766         else :; fi
767
768 uninstall-pygiPYTHON:
769         @$(NORMAL_UNINSTALL)
770         @list='$(pygi_PYTHON)'; test -n "$(pygidir)" || list=; \
771         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
772         test -n "$$files" || exit 0; \
773         dir='$(DESTDIR)$(pygidir)'; \
774         filesc=`echo "$$files" | sed 's|$$|c|'`; \
775         fileso=`echo "$$files" | sed 's|$$|o|'`; \
776         st=0; \
777         for files in "$$files" "$$filesc" "$$fileso"; do \
778           $(am__uninstall_files_from_dir) || st=$$?; \
779         done; \
780         exit $$st
781
782 # This directory's subdirectories are mostly independent; you can cd
783 # into them and run `make' without going through this Makefile.
784 # To change the values of `make' variables: instead of editing Makefiles,
785 # (1) if the variable is set in `config.status', edit `config.status'
786 #     (which will cause the Makefiles to be regenerated when you run `make');
787 # (2) otherwise, pass the desired values on the `make' command line.
788 $(RECURSIVE_TARGETS):
789         @fail= failcom='exit 1'; \
790         for f in x $$MAKEFLAGS; do \
791           case $$f in \
792             *=* | --[!k]*);; \
793             *k*) failcom='fail=yes';; \
794           esac; \
795         done; \
796         dot_seen=no; \
797         target=`echo $@ | sed s/-recursive//`; \
798         list='$(SUBDIRS)'; for subdir in $$list; do \
799           echo "Making $$target in $$subdir"; \
800           if test "$$subdir" = "."; then \
801             dot_seen=yes; \
802             local_target="$$target-am"; \
803           else \
804             local_target="$$target"; \
805           fi; \
806           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
807           || eval $$failcom; \
808         done; \
809         if test "$$dot_seen" = "no"; then \
810           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
811         fi; test -z "$$fail"
812
813 $(RECURSIVE_CLEAN_TARGETS):
814         @fail= failcom='exit 1'; \
815         for f in x $$MAKEFLAGS; do \
816           case $$f in \
817             *=* | --[!k]*);; \
818             *k*) failcom='fail=yes';; \
819           esac; \
820         done; \
821         dot_seen=no; \
822         case "$@" in \
823           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
824           *) list='$(SUBDIRS)' ;; \
825         esac; \
826         rev=''; for subdir in $$list; do \
827           if test "$$subdir" = "."; then :; else \
828             rev="$$subdir $$rev"; \
829           fi; \
830         done; \
831         rev="$$rev ."; \
832         target=`echo $@ | sed s/-recursive//`; \
833         for subdir in $$rev; do \
834           echo "Making $$target in $$subdir"; \
835           if test "$$subdir" = "."; then \
836             local_target="$$target-am"; \
837           else \
838             local_target="$$target"; \
839           fi; \
840           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
841           || eval $$failcom; \
842         done && test -z "$$fail"
843 tags-recursive:
844         list='$(SUBDIRS)'; for subdir in $$list; do \
845           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
846         done
847 ctags-recursive:
848         list='$(SUBDIRS)'; for subdir in $$list; do \
849           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
850         done
851
852 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
853         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
854         unique=`for i in $$list; do \
855             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
856           done | \
857           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
858               END { if (nonempty) { for (i in files) print i; }; }'`; \
859         mkid -fID $$unique
860 tags: TAGS
861
862 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
863                 $(TAGS_FILES) $(LISP)
864         set x; \
865         here=`pwd`; \
866         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
867           include_option=--etags-include; \
868           empty_fix=.; \
869         else \
870           include_option=--include; \
871           empty_fix=; \
872         fi; \
873         list='$(SUBDIRS)'; for subdir in $$list; do \
874           if test "$$subdir" = .; then :; else \
875             test ! -f $$subdir/TAGS || \
876               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
877           fi; \
878         done; \
879         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
880         unique=`for i in $$list; do \
881             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
882           done | \
883           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
884               END { if (nonempty) { for (i in files) print i; }; }'`; \
885         shift; \
886         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
887           test -n "$$unique" || unique=$$empty_fix; \
888           if test $$# -gt 0; then \
889             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
890               "$$@" $$unique; \
891           else \
892             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
893               $$unique; \
894           fi; \
895         fi
896 ctags: CTAGS
897 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
898                 $(TAGS_FILES) $(LISP)
899         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
900         unique=`for i in $$list; do \
901             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
902           done | \
903           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
904               END { if (nonempty) { for (i in files) print i; }; }'`; \
905         test -z "$(CTAGS_ARGS)$$unique" \
906           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
907              $$unique
908
909 GTAGS:
910         here=`$(am__cd) $(top_builddir) && pwd` \
911           && $(am__cd) $(top_srcdir) \
912           && gtags -i $(GTAGS_ARGS) "$$here"
913
914 distclean-tags:
915         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
916
917 distdir: $(DISTFILES)
918         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
919         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
920         list='$(DISTFILES)'; \
921           dist_files=`for file in $$list; do echo $$file; done | \
922           sed -e "s|^$$srcdirstrip/||;t" \
923               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
924         case $$dist_files in \
925           */*) $(MKDIR_P) `echo "$$dist_files" | \
926                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
927                            sort -u` ;; \
928         esac; \
929         for file in $$dist_files; do \
930           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
931           if test -d $$d/$$file; then \
932             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
933             if test -d "$(distdir)/$$file"; then \
934               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
935             fi; \
936             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
937               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
938               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
939             fi; \
940             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
941           else \
942             test -f "$(distdir)/$$file" \
943             || cp -p $$d/$$file "$(distdir)/$$file" \
944             || exit 1; \
945           fi; \
946         done
947         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
948           if test "$$subdir" = .; then :; else \
949             $(am__make_dryrun) \
950               || test -d "$(distdir)/$$subdir" \
951               || $(MKDIR_P) "$(distdir)/$$subdir" \
952               || exit 1; \
953             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
954             $(am__relativize); \
955             new_distdir=$$reldir; \
956             dir1=$$subdir; dir2="$(top_distdir)"; \
957             $(am__relativize); \
958             new_top_distdir=$$reldir; \
959             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
960             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
961             ($(am__cd) $$subdir && \
962               $(MAKE) $(AM_MAKEFLAGS) \
963                 top_distdir="$$new_top_distdir" \
964                 distdir="$$new_distdir" \
965                 am__remove_distdir=: \
966                 am__skip_length_check=: \
967                 am__skip_mode_fix=: \
968                 distdir) \
969               || exit 1; \
970           fi; \
971         done
972 check-am: all-am
973         $(MAKE) $(AM_MAKEFLAGS) check-local
974 check: check-recursive
975 all-am: Makefile $(LTLIBRARIES) all-local
976 installdirs: installdirs-recursive
977 installdirs-am:
978         for dir in "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"; do \
979           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
980         done
981 install: install-recursive
982 install-exec: install-exec-recursive
983 install-data: install-data-recursive
984 uninstall: uninstall-recursive
985
986 install-am: all-am
987         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
988
989 installcheck: installcheck-recursive
990 install-strip:
991         if test -z '$(STRIP)'; then \
992           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
993             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
994               install; \
995         else \
996           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
997             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
998             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
999         fi
1000 mostlyclean-generic:
1001
1002 clean-generic:
1003
1004 distclean-generic:
1005         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1006         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1007
1008 maintainer-clean-generic:
1009         @echo "This command is intended for maintainers to use"
1010         @echo "it deletes files that may require special tools to rebuild."
1011 clean: clean-recursive
1012
1013 clean-am: clean-generic clean-libtool clean-local \
1014         clean-pygiLTLIBRARIES mostlyclean-am
1015
1016 distclean: distclean-recursive
1017         -rm -rf ./$(DEPDIR)
1018         -rm -f Makefile
1019 distclean-am: clean-am distclean-compile distclean-generic \
1020         distclean-tags
1021
1022 dvi: dvi-recursive
1023
1024 dvi-am:
1025
1026 html: html-recursive
1027
1028 html-am:
1029
1030 info: info-recursive
1031
1032 info-am:
1033
1034 install-data-am: install-pygiLTLIBRARIES install-pygiPYTHON
1035
1036 install-dvi: install-dvi-recursive
1037
1038 install-dvi-am:
1039
1040 install-exec-am:
1041
1042 install-html: install-html-recursive
1043
1044 install-html-am:
1045
1046 install-info: install-info-recursive
1047
1048 install-info-am:
1049
1050 install-man:
1051
1052 install-pdf: install-pdf-recursive
1053
1054 install-pdf-am:
1055
1056 install-ps: install-ps-recursive
1057
1058 install-ps-am:
1059
1060 installcheck-am:
1061
1062 maintainer-clean: maintainer-clean-recursive
1063         -rm -rf ./$(DEPDIR)
1064         -rm -f Makefile
1065 maintainer-clean-am: distclean-am maintainer-clean-generic
1066
1067 mostlyclean: mostlyclean-recursive
1068
1069 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1070         mostlyclean-libtool
1071
1072 pdf: pdf-recursive
1073
1074 pdf-am:
1075
1076 ps: ps-recursive
1077
1078 ps-am:
1079
1080 uninstall-am: uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1081
1082 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
1083         ctags-recursive install-am install-strip tags-recursive
1084
1085 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1086         all all-am all-local check check-am check-local clean \
1087         clean-generic clean-libtool clean-local clean-pygiLTLIBRARIES \
1088         ctags ctags-recursive distclean distclean-compile \
1089         distclean-generic distclean-libtool distclean-tags distdir dvi \
1090         dvi-am html html-am info info-am install install-am \
1091         install-data install-data-am install-dvi install-dvi-am \
1092         install-exec install-exec-am install-html install-html-am \
1093         install-info install-info-am install-man install-pdf \
1094         install-pdf-am install-ps install-ps-am \
1095         install-pygiLTLIBRARIES install-pygiPYTHON install-strip \
1096         installcheck installcheck-am installdirs installdirs-am \
1097         maintainer-clean maintainer-clean-generic mostlyclean \
1098         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1099         pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
1100         uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1101
1102
1103 # This is to ensure we have a symlink to the .so in the
1104 # build directory, which the Python interpreter can load
1105 # directly without having to know how to parse .la files.
1106 .la.so:
1107         $(LN_S) .libs/$@ $@ || true
1108
1109 # if we build in a separate tree, we need to symlink the *.py files from the
1110 # source tree; Python does not accept the extensions and modules in different
1111 # paths
1112 build_pylinks:
1113         for f in $(pygi_PYTHON); do \
1114             [ -e $(builddir)/$$f ] || $(LN_S) $(srcdir)/$$f $(builddir)/$$f; \
1115         done
1116
1117 all-local: $(LTLIBRARIES:.la=.so) build_pylinks
1118
1119 check-local: $(LTLIBRARIES:.la=.so) build_pylinks
1120 clean-local:
1121         rm -f $(LTLIBRARIES:.la=.so)
1122
1123 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1124 # Otherwise a system limit (for SysV at least) may be exceeded.
1125 .NOEXPORT: